Bug 191930 - openswan Package won't build in mock
openswan Package won't build in mock
Product: Fedora
Classification: Fedora
Component: openswan (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
Blocks: BuildReqBlocker
  Show dependency treegraph
Reported: 2006-05-16 10:54 EDT by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-17 07:57:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
TypoFix (510 bytes, patch)
2006-05-16 10:54 EDT, Andreas Thienemann
no flags Details | Diff

  None (edit)
Description Andreas Thienemann 2006-05-16 10:54:55 EDT
openswan-2.5.4-1 won't build in mock.

cc  -I/builddir/build/BUILD/openswan-2.4.5/programs/pluto/linux26
-I/builddir/build/BUILD/openswan-2.4.5/linux/include    -DPLUTO_SENDS_VENDORID
-DX509_VERSION=\"X.509-1.5.4\"    -DPLUTO -DKLIPS
-DBUILDER=\"mockbuild@mdomsch-pe1425-a.linuxdev.us.dell.com\" -DDEBUG -DGCC_LINT
-DPERPEERLOGDIR=\"/var/log/pluto/peer\" -g -Wall -W -Wmissing-prototypes
-Wpointer-arith -Wbad-function-cast -Wcast-qual -Wmissing-declarations
-Wwrite-strings -Wstrict-prototypes  -g -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=generic -fPIE -pie -c server.c
server.c: In function 'process_raw_ifaces':
server.c:782: error: expected ';' before 'q'
make[2]: *** [server.o] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/openswan-2.4.5/programs/pluto'
make[1]: *** [programs] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/openswan-2.4.5/programs'
make: *** [programs] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.36159 (%build)

Attached is a patch to fix the missing ; after the INSERT_LIST_HEAD() macro
Comment 1 Andreas Thienemann 2006-05-16 10:54:55 EDT
Created attachment 129200 [details]
Comment 2 Peter Bieringer 2006-10-12 05:16:18 EDT
Same problem occurs on FC5 with openswan-2.4.4-, would it be
possible to provide an updated package for FC5 also.

BTW: I'm wondering, how ever building on FC5 has worked...looks like older
versions of gcc were more relaxed.

Note You need to log in before you can comment on or make changes to this bug.